@if (componentData) {
  <div class="grid-info">
    <sqtm-core-label
      [text]="'sqtm-core.entity.milestone.end-date.label' | translate"
    />
    <sqtm-core-editable-date-field
      [editable]="componentData.milestone.canEdit"
      [sqtmCoreGenericViewEditableDateField]="'endDate'"
      [attr.data-test-field-id]="'milestone-end-date'"
      layout="compact"
    />
    <sqtm-core-label
      [text]="'sqtm-core.entity.milestone.status.label' | translate"
    />
    <sqtm-core-editable-select-level-enum-field
      #statusField
      [editable]="componentData.milestone.canEdit"
      [enumType]="'MilestoneStatus'"
      [attr.data-test-field-id]="'milestone-status'"
      [selectedEnumItem]="componentData.milestone.status"
      (confirmEvent)="handleStatusChange($event)"
      layout="no-buttons"
    />
    <sqtm-core-label
      [text]="'sqtm-core.entity.milestone.range.label' | translate"
    />
    <sqtm-core-editable-select-level-enum-field
      #rangeField
      [editable]="loggedAsAdmin$ | async"
      [layout]="'no-buttons'"
      [enumType]="'MilestoneRange'"
      [selectedEnumItem]="componentData.milestone.range"
      (confirmEvent)="setRange($event.id)"
      [attr.data-test-field-id]="'milestone-range'"
    />
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    />
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'milestone-created'"
      [userName]="componentData.milestone.createdBy"
      [date]="componentData.milestone.createdOn"
    />
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    />
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'milestone-modified'"
      [userName]="componentData.milestone.lastModifiedBy"
      [date]="componentData.milestone.lastModifiedOn"
    />

    <sqtm-core-label
      class="grid-column-start-1"
      [text]="'sqtm-core.entity.milestone.owner.label' | translate"
    />
    @if (componentData.milestone.range === 'RESTRICTED') {
      <sqtm-core-editable-searchable-select-field
        class="grid-overlap"
        #ownerField
        [value]="componentData.milestone.ownerLogin"
        (confirmEvent)="handleOwnerChange($event)"
        [editable]="canEditOwnerField$ | async"
        [options]="ownerOptions"
        [placeholder]="'sqtm-core.entity.milestone.owner.label' | translate"
        [layout]="'compact'"
        [attr.data-test-field-id]="'milestone-owner'"
      />
    } @else {
      <span [attr.data-test-field-id]="'milestone-owner'">
        {{ 'sqtm-core.generic.label.administrator' | translate }}
      </span>
    }

    <sqtm-core-label
      class="grid-column-start-1"
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    />
  </div>
  <div class="m-t-5">
    <sqtm-core-editable-rich-text
      class="colspan-field"
      [focus]="true"
      [editable]="componentData.milestone.canEdit"
      [attr.data-test-field-id]="'milestone-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
    />
  </div>
}
